[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# RegisterActionsProc

Address of the routine used to register actions used in the action list editor in the Lazarus IDE.

## Declaration

Source position: actnlist.pas line 296

`const RegisterActionsProc: procedure( = Nil;`
`const CategoryName: string;`
`const AClasses: array of TBasicActionClass;`
`Resource: TComponentClass`
`)`

## Description

The routine in the constant is assigned in the initialization section for the action list editor.

## See also

RegisterActions |  | Registers the array of action classes using the specified category name.
UnRegisterActionsProc |  | Address of the routine used to unregister actions used in the action list editor in the Lazarus IDE.